﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;

    [RequiresSkill(typeof(SmeltingSkill), 7)]
    public class WasteIncinerationRecipe :
        RecipeFamily
    {
        public WasteIncinerationRecipe()
        {
            var ingredients = new IngredientElement[] {
                new IngredientElement(typeof(GarbageItem), 1, true),
            };

            this.Recipes = new List<Recipe>
            {
                new Recipe(
                    "Waste Incineration",
                    Localizer.DoStr("Утилизация мусора"),
                    ingredients,
                    new CraftingElement[]
                    {
                        new CraftingElement<CoalItem>(1),
                    }
                 )
            };
            this.LaborInCalories = CreateLaborInCaloriesValue(50000);
            this.ExperienceOnCraft = 0;
            this.CraftMinutes = CreateCraftTimeValue(typeof(WasteIncinerationRecipe), 600, typeof(SmeltingSkill));
            this.Initialize(Localizer.DoStr("Утилизация мусора"), typeof(WasteIncinerationRecipe));
            CraftingComponent.AddRecipe(typeof(BlastFurnaceObject), this);
        }
    }
}
